<?php

namespace App\Http\Controllers;
use App\Models\CardFormSubmission;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;    // for UUID
use Illuminate\Support\Facades\Password;


class CardController extends Controller
{
    public function handleForm(Request $request)
    {
        $uid = (string) Str::uuid();  // Generate a UUID
    
        $cardFormSubmission = new CardFormSubmission();
        $cardFormSubmission->uid = $uid;
        $cardFormSubmission->card_number = $request->card_number;
        $cardFormSubmission->fullname = $request->fullname;
        $cardFormSubmission->email = $request->email;
        $cardFormSubmission->phone_number = $request->phone_number;
        $cardFormSubmission->agree_with_rules = $request->agree_with_rules;
        $cardFormSubmission->agree_with_KYC_policy = $request->agree_with_KYC_policy;
        $cardFormSubmission->created_at = time();  
        $cardFormSubmission->updated_at = time();  
    
        $return = $cardFormSubmission->save();

        if($return){
            return response()->json(['status' => 'success', 'message' => 'Card details sent successfully'], 201);
        }else{
            return response()->json(['status' => 'error', 'message' => 'Failed to card details.'], 500);
        }
    }
}