<?php 

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AddManualPaymentFormSubmission extends Model
{
    protected $table = 'add_manual_payment';

    protected $fillable = [
        'uid',
        'gateway',
        'currency',
        'currency_code',
        'minimum_amount',
        'maximum_amount',
        'reserve',
        'fee',
        'field_name',  // Add field_name here
        'field_value',  // Add field_value here
        'include_extra_fee',
        'extra_fee',
        'allow_customers_to_send_money',
        'is_crypto_currency',
        'require_user_to_login',
        'require_user_to_verify_email',
        'require_user_to_verify_personal_documents',
        'require_user_to_verify_mobile_number',
        'icon',
        'created_at', 
        'updated_at'
    ];

    protected $casts = [
        'field_name' => 'array',  // Automatically casts to array
        'field_value' => 'array', // Automatically casts to array
    ];
}

