@extends('admin.layouts.master')
@section('content')

<br>
	<br>
	<div class="breadcrumbs">
		<div class="col-sm-4">
			<div class="page-header float-left">
				<div class="page-title">
					<h1>Gateways</h1>
				</div>
			</div>
		</div>
	</div>
	<div class="content mt-3">
	<div class="col-sm-8">
			<div class="page-header float-left">
				<div class="page-title">
					<ol class="breadcrumb text-right">
						<li>Add manual payment</li>
					</ol>
				</div>
			</div>
		</div>
		<div class="col-md-12">
			<div class="card">
				<div class="card-body">
					
					<form id="paymentForm" method="POST">
					@csrf
						<div class="form-group">
							<label>Gateway name</label>
							<input type="text" class="form-control" name="gateway">
						</div>

						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label>Currency</label>
									<select class="form-control" name="currency">
												<option value=""></option>
												<option value="AED">AED - United Arab Emirates Dirham</option>
												<option value="AFN">AFN - Afghanistan Afghani</option>
												<option value="ALL">ALL - Albania Lek</option>
												<option value="AMD">AMD - Armenia Dram</option>
												<option value="ANG">ANG - Netherlands Antilles Guilder</option>
												<option value="AOA">AOA - Angola Kwanza</option>
												<option value="ARS">ARS - Argentina Peso</option>
												<option value="AUD">AUD - Australia Dollar</option>
												<option value="AWG">AWG - Aruba Guilder</option>
												<option value="AZN">AZN - Azerbaijan New Manat</option>
												<option value="BAM">BAM - Bosnia and Herzegovina Convertible Marka</option>
												<option value="BBD">BBD - Barbados Dollar</option>
												<option value="BDT">BDT - Bangladesh Taka</option>
												<option value="BGN">BGN - Bulgaria Lev</option>
												<option value="BHD">BHD - Bahrain Dinar</option>
												<option value="BIF">BIF - Burundi Franc</option>
												<option value="BMD">BMD - Bermuda Dollar</option>
												<option value="BND">BND - Brunei Darussalam Dollar</option>
												<option value="BOB">BOB - Bolivia Boliviano</option>
												<option value="BRL">BRL - Brazil Real</option>
												<option value="BSD">BSD - Bahamas Dollar</option>
												<option value="BTN">BTN - Bhutan Ngultrum</option>
												<option value="BWP">BWP - Botswana Pula</option>
												<option value="BYR">BYR - Belarus Ruble</option>
												<option value="BZD">BZD - Belize Dollar</option>
												<option value="CAD">CAD - Canada Dollar</option>
												<option value="CDF">CDF - Congo/Kinshasa Franc</option>
												<option value="CHF">CHF - Switzerland Franc</option>
												<option value="CLP">CLP - Chile Peso</option>
												<option value="CNY">CNY - China Yuan Renminbi</option>
												<option value="COP">COP - Colombia Peso</option>
												<option value="CRC">CRC - Costa Rica Colon</option>
												<option value="CUC">CUC - Cuba Convertible Peso</option>
												<option value="CUP">CUP - Cuba Peso</option>
												<option value="CVE">CVE - Cape Verde Escudo</option>
												<option value="CZK">CZK - Czech Republic Koruna</option>
												<option value="DJF">DJF - Djibouti Franc</option>
												<option value="DKK">DKK - Denmark Krone</option>
												<option value="DOP">DOP - Dominican Republic Peso</option>
												<option value="DZD">DZD - Algeria Dinar</option>
												<option value="EGP">EGP - Egypt Pound</option>
												<option value="ERN">ERN - Eritrea Nakfa</option>
												<option value="ETB">ETB - Ethiopia Birr</option>
												<option value="EUR">EUR - Euro Member Countries</option>
												<option value="FJD">FJD - Fiji Dollar</option>
												<option value="FKP">FKP - Falkland Islands (Malvinas) Pound</option>
												<option value="GBP">GBP - United Kingdom Pound</option>
												<option value="GEL">GEL - Georgia Lari</option>
												<option value="GGP">GGP - Guernsey Pound</option>
												<option value="GHS">GHS - Ghana Cedi</option>
												<option value="GIP">GIP - Gibraltar Pound</option>
												<option value="GMD">GMD - Gambia Dalasi</option>
												<option value="GNF">GNF - Guinea Franc</option>
												<option value="GTQ">GTQ - Guatemala Quetzal</option>
												<option value="GYD">GYD - Guyana Dollar</option>
												<option value="HKD">HKD - Hong Kong Dollar</option>
												<option value="HNL">HNL - Honduras Lempira</option>
												<option value="HPK">HRK - Croatia Kuna</option>
												<option value="HTG">HTG - Haiti Gourde</option>
												<option value="HUF">HUF - Hungary Forint</option>
												<option value="IDR">IDR - Indonesia Rupiah</option>
												<option value="ILS">ILS - Israel Shekel</option>
												<option value="IMP">IMP - Isle of Man Pound</option>
												<option value="INR">INR - India Rupee</option>
												<option value="IQD">IQD - Iraq Dinar</option>
												<option value="IRR">IRR - Iran Rial</option>
												<option value="ISK">ISK - Iceland Krona</option>
												<option value="JEP">JEP - Jersey Pound</option>
												<option value="JMD">JMD - Jamaica Dollar</option>
												<option value="JOD">JOD - Jordan Dinar</option>
												<option value="JPY">JPY - Japan Yen</option>
												<option value="KES">KES - Kenya Shilling</option>
												<option value="KGS">KGS - Kyrgyzstan Som</option>
												<option value="KHR">KHR - Cambodia Riel</option>
												<option value="KMF">KMF - Comoros Franc</option>
												<option value="KPW">KPW - Korea (North) Won</option>
												<option value="KRW">KRW - Korea (South) Won</option>
												<option value="KWD">KWD - Kuwait Dinar</option>
												<option value="KYD">KYD - Cayman Islands Dollar</option>
												<option value="KZT">KZT - Kazakhstan Tenge</option>
												<option value="LAK">LAK - Laos Kip</option>
												<option value="LBP">LBP - Lebanon Pound</option>
												<option value="LKR">LKR - Sri Lanka Rupee</option>
												<option value="LRD">LRD - Liberia Dollar</option>
												<option value="LSL">LSL - Lesotho Loti</option>
												<option value="LYD">LYD - Libya Dinar</option>
												<option value="MAD">MAD - Morocco Dirham</option>
												<option value="MDL">MDL - Moldova Leu</option>
												<option value="MGA">MGA - Madagascar Ariary</option>
												<option value="MKD">MKD - Macedonia Denar</option>
												<option value="MMK">MMK - Myanmar (Burma) Kyat</option>
												<option value="MNT">MNT - Mongolia Tughrik</option>
												<option value="MOP">MOP - Macau Pataca</option>
												<option value="MRO">MRO - Mauritania Ouguiya</option>
												<option value="MUR">MUR - Mauritius Rupee</option>
												<option value="MVR">MVR - Maldives (Maldive Islands) Rufiyaa</option>
												<option value="MWK">MWK - Malawi Kwacha</option>
												<option value="MXN">MXN - Mexico Peso</option>
												<option value="MYR">MYR - Malaysia Ringgit</option>
												<option value="MZN">MZN - Mozambique Metical</option>
												<option value="NAD">NAD - Namibia Dollar</option>
												<option value="NGN">NGN - Nigeria Naira</option>
												<option value="NTO">NIO - Nicaragua Cordoba</option>
												<option value="NOK">NOK - Norway Krone</option>
												<option value="NPR">NPR - Nepal Rupee</option>
												<option value="NZD">NZD - New Zealand Dollar</option>
												<option value="OMR">OMR - Oman Rial</option>
												<option value="PAB">PAB - Panama Balboa</option>
												<option value="PEN">PEN - Peru Nuevo Sol</option>
												<option value="PGK">PGK - Papua New Guinea Kina</option>
												<option value="PHP">PHP - Philippines Peso</option>
												<option value="PKR">PKR - Pakistan Rupee</option>
												<option value="PLN">PLN - Poland Zloty</option>
												<option value="PYG">PYG - Paraguay Guarani</option>
												<option value="QAR">QAR - Qatar Riyal</option>
												<option value="RON">RON - Romania New Leu</option>
												<option value="RSD">RSD - Serbia Dinar</option>
												<option value="RUB">RUB - Russia Ruble</option>
												<option value="RWF">RWF - Rwanda Franc</option>
												<option value="SAR">SAR - Saudi Arabia Riyal</option>
												<option value="SBD">SBD - Solomon Islands Dollar</option>
												<option value="SCR">SCR - Seychelles Rupee</option>
												<option value="SDG">SDG - Sudan Pound</option>
												<option value="SEK">SEK - Sweden Krona</option>
												<option value="SGD">SGD - Singapore Dollar</option>
												<option value="SHP">SHP - Saint Helena Pound</option>
												<option value="SLL">SLL - Sierra Leone Leone</option>
												<option value="SOS">SOS - Somalia Shilling</option>
												<option value="SRL">SPL* - Seborga Luigino</option>
												<option value="SRD">SRD - Suriname Dollar</option>
												<option value="STD">STD - Sao Tome and Principe Dobra</option>
												<option value="SVC">SVC - El Salvador Colon</option>
												<option value="SYP">SYP - Syria Pound</option>
												<option value="SZL">SZL - Swaziland Lilangeni</option>
												<option value="THB">THB - Thailand Baht</option>
												<option value="TJS">TJS - Tajikistan Somoni</option>
												<option value="TMT">TMT - Turkmenistan Manat</option>
												<option value="TND">TND - Tunisia Dinar</option>
												<option value="TOP">TOP - Tonga Pa'anga</option>
												<option value="TRY">TRY - Turkey Lira</option>
												<option value="TTD">TTD - Trinidad and Tobago Dollar</option>
												<option value="TVD">TVD - Tuvalu Dollar</option>
												<option value="TWD">TWD - Taiwan New Dollar</option>
												<option value="TZS">TZS - Tanzania Shilling</option>
												<option value="UAH">UAH - Ukraine Hryvnia</option>
												<option value="UGX">UGX - Uganda Shilling</option>
												<option value="USD">USD - United States Dollar</option>
												<option value="UYU">UYU - Uruguay Peso</option>
												<option value="UZS">UZS - Uzbekistan Som</option>
												<option value="VEF">VEF - Venezuela Bolivar</option>
												<option value="VND">VND - Viet Nam Dong</option>
												<option value="VUV">VUV - Vanuatu Vatu</option>
												<option value="WST">WST - Samoa Tala</option>
												<option value="XAF">XAF - Communaute Financiere Africaine (BEAC) CFA Franc BEAC</option>
												<option value="XCD">XCD - East Caribbean Dollar</option>
												<option value="XDR">XDR - International Monetary Fund (IMF) Special Drawing Rights</option>
												<option value="XOF">XOF - Communaute Financiere Africaine (BCEAO) Franc</option>
												<option value="XPF">XPF - Comptoirs Francais du Pacifique (CFP) Franc</option>
												<option value="YER">YER - Yemen Rial</option>
												<option value="ZAR">ZAR - South Africa Rand</option>
												<option value="ZMW">ZMW - Zambia Kwacha</option>
												<option value="ZWD">ZWD - Zimbabwe Dollar</option>
										</select>
								</div>
							</div>

							<div class="col-md-6">
								<div class="form-group">
									<label>Currency Code</label>
									<input type="text" class="form-control" name="currency_code" placeholder="Enter currency code if is not listed.">
								</div>
							</div>
						</div>
						<div class="form-group">
							<label>Minimal amount for exchange</label>
							<input type="text" class="form-control" name="minimum_amount">
						</div>
						<div class="form-group">
							<label>Maximum amount for exchange</label>
							<input type="text" class="form-control" name="maximum_amount">
						</div>
						<div class="form-group">
							<label>Reserve</label>
							<input type="text" class="form-control" name="reserve">
						</div>
						<div class="form-group">
							<label>Fee</label>
							<input type="text" class="form-control" name="fee">
							<small>The exchange rate is automatically converted by mconvert.net Currency Convertor API, but API convert just exchange rate. So you have a profit you need to fill this field with a number she will act as a percentage. For example: If you enter the number 2 would mean 2%, and if users exchanged 100 dollars to euro exchange rate is 1 USD = 0.97 EUR, will receive the 96EUR with the real exchange rate and if you set 2% your profit of 96 EUR will It was 1.92 EUR and the customer will receive 94.08 EUR. Enter number without %.</small>
						</div>
						<div id="account_fields">
							<div class="row">
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 1</label>
										<input type="text" class="form-control field_1" id="field_1" name="field_1">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 1</label>
										<input type="text" class="form-control field_2" id="a_field_" name="a_field_1">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 2</label>
										<input type="text" class="form-control field_1" id="field_2" name="field_2">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 2</label>
										<input type="text" class="form-control field_2" id="a_field_2" name="a_field_2">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 3</label>
										<input type="text" class="form-control field_1" id="field_3" name="field_3">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 3</label>
										<input type="text" class="form-control field_2" id="a_field_3" name="a_field_3">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 4</label>
										<input type="text" class="form-control field_1" id="field_4" name="field_4">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 4</label>
										<input type="text" class="form-control field_2" id="a_field_4" name="a_field_4">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 5</label>
										<input type="text" class="form-control field_1" id="field_5" name="field_5">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 5</label>
										<input type="text" class="form-control field_2" id="a_field_5" name="a_field_5">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 6</label>
										<input type="text" class="form-control field_1" id="field_6" name="field_6">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 6</label>
										<input type="text" class="form-control field_2" id="a_field_6" name="a_field_6">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 7</label>
										<input type="text" class="form-control field_1" id="field_7" name="field_7">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 7</label>
										<input type="text" class="form-control field_2" id="a_field_7" name="a_field_7">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 8</label>
										<input type="text" class="form-control field_1" id="field_8" name="field_8">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 8</label>
										<input type="text" class="form-control field_2" id="a_field_8" name="a_field_8">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 9</label>
										<input type="text" class="form-control field_1" id="field_9" name="field_9">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 9</label>
										<input type="text" class="form-control field_2" id="a_field_9" name="a_field_9">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Name of the Field 10</label>
										<input type="text" class="form-control field_1" id="field_10" name="field_10">
									</div>
								</div>
								<div class="col-md-6 col-lg-6">
									<div class="form-group">
										<label>Value of the Field 10</label>
										<input type="text" class="form-control field_2" id="a_field_10" name="a_field_10">
									</div>
								</div>
							</div>
						</div>

						<div class="checkbox">
							<label><input type="checkbox" name="include_extra_fee" > Include extra fee in total amount for payment</label>
						</div>
						<div class="form-group">
							<label>Extra fee</label>
							<input type="text" class="form-control" name="extra_fee">
							<small>You can setup fixed or percentage fee. This fee will be used to calculate total amount for payment for client. For example: If user sell 100 and if fee is 10% must pay 110 or if user sell 50 and fee is fixed 5.99 must pay 55.99 and etc. If do not want to setup fee leave blank.</small>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="allow_customers_to_send_money"> Allow customers to send money through this gateway
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="is_crypto_currency"> Is crypto currency
							</label>
						</div> 
						<div class="checkbox">
							<label>
								<input type="checkbox" name="require_user_to_login"> Require user to login before exchange
							</label>
						</div> 
						<div class="checkbox">
							<label>
								<input type="checkbox" name="require_user_to_verify_email"  > Require user to verify their email address before exchange
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="require_user_to_verify_personal_documents"  > Require user to verify their personal documents before exchange
							</label>
						</div>
						<div class="checkbox">
							<label>
								<input type="checkbox" name="require_user_to_verify_mobile_number" > Require user to verify their mobile number before exchange
							</label>
						</div>

						<!-- <div class="form-group">
							<label>Select icon to upload (format: jpg, png, recommended size: 48x48,56x66 and etc..)</label>
							<input type="file" name="icon" class="form-control">
						</div> -->
						<button type="submit" class="btn btn-primary" name="btn_add"><i class="fa fa-plus"></i> Add</button>
						<input type="hidden" id="field_name" name="field_name">
						<input type="hidden" id="field_value" name="field_value">
					</form>
				</div>
			</div>
		</div>

		<script>
			$('#paymentForm').on('submit', function (event) {
			event.preventDefault(); // Prevent default form submission

			const formData = {
				_token: $('input[name="_token"]').val(),
				gateway: $('input[name="gateway"]').val(),
				currency: $('select[name="currency"]').val(),
				currency_code: $('input[name="currency_code"]').val(),
				minimum_amount: $('input[name="minimum_amount"]').val(),
				maximum_amount: $('input[name="maximum_amount"]').val(),
				reserve: $('input[name="reserve"]').val(),
				fee: $('input[name="fee"]').val(),
				include_extra_fee: $('input[name="include_extra_fee"]').is(':checked') ? true : false,
				extra_fee: $('input[name="extra_fee"]').val(),
				allow_customer_to_send_money: $('input[name="allow_customer_to_send_money"]').is(':checked') ? true : false,
				is_crypto_currency: $('input[name="is_crypto_currency"]').is(':checked') ? true : false,
				require_user_to_login: $('input[name="require_user_to_login"]').is(':checked') ? true : false,
				require_user_to_verify_email: $('input[name="require_user_to_verify_email"]').is(':checked') ? true : false,
				require_user_to_verify_personal_documents: $('input[name="require_user_to_verify_personal_documents"]').is(':checked') ? true : false,
				require_user_to_verify_mobile_number: $('input[name="require_user_to_verify_mobile_number"]').is(':checked') ? true : false,
				field_name: $('#field_name').val(), // Added field_name
    			field_value: $('#field_value').val() // Added field_value
			};


			// Assuming you are making an AJAX POST request
			$.ajax({
				type: 'POST',
				url: "{{ route('payment.handleForm') }}",
				data: formData,
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				success: function (response) {
					toastr.success('Payment added successfully!', 'Success');
					$('#paymentForm')[0].reset();
				},
				error: function (xhr) {
					const errors = xhr.responseJSON.errors;
					for (const field in errors) {
						toastr.error(errors[field][0], 'Error');
					}
				}
			});
			});

		</script>
		<script>
			$(document).ready(function() {
				let field_1_array = [];  // Array for field_1 values
				let field_2_array = [];  // Array for field_2 values
				
				// Listen for changes on .field_1 class
				$('.field_1').change(function() {
					let field_1 = $(this).val(); // Get the value of field_1
					const field_1_data = {
						id: Math.floor(Math.random() * 1000),
						field_name: field_1,  // You can set custom field name here
					};
					field_1_array.push(field_1_data); // Push the object into field_1_array
					$('#field_name').val(JSON.stringify(field_1_array));
				});
				
				// Listen for changes on .field_2 class
				$('.field_2').change(function() {
					let field_2 = $(this).val(); // Get the value of field_2
					const field_2_data = {
						id: Math.floor(Math.random() * 1000),
						field_value: field_2,  // You can set custom field name here
					};
					field_2_array.push(field_2_data); // Push the object into field_2_array
					$('#field_value').val(JSON.stringify(field_2_array));
				});

				// You can log the arrays to check their values
			});
		</script>


@endsection