@extends('frontend.layouts.master')
@section('content')

<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title d-flex align-items-center justify-content-center">
            <h2 class="contact-heading">Fraud Awareness</h2>
        </div>
        <!-- Row for Card -->
        <div class="row contact-row">
            <div class="col-12">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">
                            <div class="col-12 col-md-12 contact-info">
                            
                                <b>Dear Valued Customer,</b>
                                <br>
                                <br>
                                
                                <b>Ensuring the security of your transactions is paramount, especially considering external factors beyond our control.<br/> 
                                To help safeguard your transactions, we advise adhering to the following e-currency conversion guidelines:</b>
                                <br>
                                <br>
                                 <p>• Always verify the identity of the recipient before transferring funds. This can be achieved through personal communication via Skype or by confirming the status of the recipient's digital wallet on the payment system's website.</p>
                                 <p>• Exercise caution when entering account details, ensuring accuracy to prevent inadvertently sending funds to an incorrect destination without recourse.</p>
                                 <p>• Avoid using "irrevocable" electronic payment systems for loans, as they pose a significantly higher risk of fraud.</p>
                                 <p>• Refuse to execute payments through methods not specified in our service instructions or on applications not initiated by you, promptly reporting such incidents to our experts.</p>
                                 <p>• Refrain from transacting third-party funds through your bank accounts, as this could unwittingly involve you in financial crimes orchestrated by fraudulent parties.</p>
                                 <p>• Always verify communications received via email with authorized exchange office personnel to mitigate the risk of phishing attempts.</p>
                                 <br>
                                 <br>
                                 <br>
                                 <b>Our customer support services are exclusively available through the following channels:</b>
                                 <br>
                                 <br>
                                 <b>- Email: <a href="contact@exchangebuz.com">contact@exchangebuz.com</a></b>
                                 <br>
                                 <br>
                                 <p>Please note that we never solicit loans, accept donations, or engage in lending activities. Disregard any communications purporting otherwise, especially if they deviate from the contact details provided above, even if they appear similar.</p>
                                 <br>
                                
                                 <p class="text-center"><b>Any suspected unlawful activity will be promptly reported to the relevant law enforcement agencies.</b></p>
                                
                                 <p class="text-center"> <b>Thank you for your attention to these important security measures.</b></p>
                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
</section>

@endsection