<?php $__env->startSection('content'); ?>

<br>
		<br>
		<div class="breadcrumbs">
            <div class="col-sm-4">
                <div class="page-header float-left">
                    <div class="page-title">
                        <h1>Gateways</h1>
                    </div>
                </div>
            </div>
            <div class="col-sm-8">
                <div class="page-header float-right">
                    <div class="page-title">
                        
                    </div>
                </div>
            </div>
        </div>
        <div class="content mt-3">

           <div class="col-md-12">
					<div class="card">
                        <div class="card-body">
							
						<a href="<?php echo e(url('/admin/gateways/add_merchant')); ?>" class="btn btn-primary">Add merchant</a> 
						<a href="<?php echo e(url('/admin/gateways/add_crypto')); ?>" class="btn btn-primary">Add cryptocurrency</a>
						<a href="<?php echo e(url('/admin/gateways/add_manual_payment')); ?>" class="btn btn-primary">Add manual payment</a>
						<br><br>
						
						<table class="table table-striped">
							<thead>
								<tr>
									<th width="20%">Gateway</th>
									<th width="30%">Min/Max Amount</th>
									<th width="20%">Reserve</th>
									<th width="15%">Fee</th>
									<th width="15%">Allow send </th>
									<th width="10%">Action</th>
								</tr>
							</thead>
							<tbody>
								<?php $__currentLoopData = $merchants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $merchant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
									<tr>
										<td><?php echo e($merchant->select_merchant); ?></td>
										<td><?php echo e($merchant->minimum_amount); ?> / <?php echo e($merchant->maximum_amount); ?></td>
										<td><?php echo e($merchant->reserve); ?></td>
										<td><?php echo e($merchant->fee); ?></td>
										<td>
											<?php if($merchant->allow_customers_to_send_money == 'true'): ?>
												<i class="fa fa-check" style="color: green;"></i> <!-- Tick mark -->
											<?php else: ?>
												<i class="fa fa-times" style="color: red;"></i> <!-- Cross mark -->
											<?php endif; ?>
										</td>

										<td>
											<select name="status" class="status-select" id="status" data-merchant-id="<?php echo e($merchant->id); ?>">
												<option value="<?php echo e($merchant->status); ?>"><?php echo e($merchant->status == 'Active' ? 'Active' : 'Not Active'); ?></option>
												<option value="Active"  <?php echo e($merchant->status == 'Active' ? 'selected' : ''); ?>>Active</option>
												<option value="Not Active" <?php echo e($merchant->status == 'Not Active' ? 'selected' : ''); ?>>Not Active</option>
											</select>	
										</td>
									</tr>
								<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							</tbody>
						</table>
					</div>
				</div>
			</div>


			<script>
				$('.status-select').on('change', function() {
					var merchantId = $(this).data('merchant-id');  // Get the merchant ID
					var newStatus = $(this).val();  // Get the new selected status

					$.ajax({
						url: "<?php echo e(route('merchant.updateStatus')); ?>",  // URL to handle status update
						type: 'POST',
						data: {
							_token: $('meta[name="csrf-token"]').attr('content'),  // CSRF token for security
							id: merchantId,
							status: newStatus
						},
						success: function(response) {
							if (response.success) {
								toastr.success('Status updated successfully!', 'Success');
							} else {
								toastr.error(response.message, 'Error');
							}
						},
						error: function(xhr, status, error) {
							toastr.error('An error occurred while updating the status.', 'Error');
						}
					});
				});
			</script>

	
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/vhosts/sofmatics.com/505.sofmatics.com/resources/views/admin/pages/gateways.blade.php ENDPATH**/ ?>