<?php

namespace App\Http\Controllers;
use App\Models\AddManualPaymentFormSubmission;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;    // for UUID
use Illuminate\Support\Facades\Password;
use App\Http\Controllers\CurrencyConversionController;


class HomeController extends Controller
{
    public function showPage()
    {
        $currencies = $this->showCurrencies(); 

        $currencyConversionController = new CurrencyConversionController();
        $currencyRates = $currencyConversionController->fetchCurrencyRates();

        return view('frontend.pages.home', compact('currencies', 'currencyRates'));
    }

    public function showCurrencies()
    {
        $currencies = AddManualPaymentFormSubmission::all();
        // return view('frontend.pages.home', compact('currencies'));
        return $currencies;
    }

    // public function showMinMaxAmount()
    // {
    //     $minAmount = AddManualPaymentFormSubmission::min('minimum_amount');
    //     $maxAmount = AddManualPaymentFormSubmission::max('maximum_amount');
    //     // return view('frontend.pages.home', compact('minAmount', 'maxAmount'));

    //     return [
    //         'minAmount' => $minAmount,
    //         'maxAmount' => $maxAmount
    //     ];
    // }


}
