<?php 

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AddMerchantFormSubmission extends Model
{
    protected $table = 'add_merchant';

    protected $fillable = [
        'uid',
        'select_merchant',
        'currency',
        'minimum_amount',
        'maximum_amount',
        'reserve',
        'fee',
        'include_extra_fee',
        'extra_fee',
        'allow_customers_to_send_money',
        'require_user_to_login',
        'require_user_to_verify_email',
        'require_user_to_verify_documents',
        'require_user_to_verify_mobile_number',
        'status',
        'created_at', 
        'updated_at'
    ];
}

