@extends('admin.layouts.master')
@section('content')
	
	<br>
		<br>
		<div class="breadcrumbs">
            <div class="col-sm-4">
                <div class="page-header float-left">
                    <div class="page-title">
                        <h1>Exchanges</h1>
                    </div>
                </div>
            </div>
            <div class="col-sm-8">
                <div class="page-header float-right">
                    <div class="page-title">
                        <ol class="breadcrumb text-right">
							<li>Explore</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <div class="content mt-3">
           <div class="col-md-12">
					<div class="card">
                        <div class="card-body">
						<div class="col-md-12">
		</div>
		<div class="col-md-9">
			<div class="panel panel-default">
				<div class="panel-body">

					<table class="table table-striped">
						<tbody>
							<tr>
								<td colspan="4">
									Exchange ID: 
								</td>
							</tr>
							<tr>
								<td colspan="2">Send:   </td>
								<td colspan="2">Receive:   </td>
							</tr>
							<tr>
								<td colspan="2">Exchange rate: </td>
								<td colspan="2">Transaction ID:  </td>
							</tr>
							<tr>
								<td colspan="2">
										Process type: 	
								</td>
								<td colspan="2">
										Status:
								</td>
							</tr>
							<tr>
								<td colspan="2">
									Created on 	
								</td>
								
								<td colspan="2">
									Expired on
								</td>
							
								<td colspan="2">
									Processed on 
								</td>
							</tr>
						</tbody>
					</table>
					
					<br>
					
					<table class="table table-striped">
						<tbody>
							<tr>
								<td colspan="2">
									<h3 class="text-center">
										Data about transfer
									</h3>
								</td>
							</tr>
							<tr>
								<td><span class="pull-left">Client email address</span></td>
								<td><span class="pull-right"><?php ?></span></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<div class="col-md-3">
			<div class="panel panel-default">
				<div class="panel-heading">
					Exchange status
				</div>
				<div class="panel-body">
					<form action="" method="POST">
						<div class="form-group">
							<label>Status</label>
							<select class="form-control" name="status" onchange="show_field(this.value);">
								<option value="1" >Awaiting Confirmation</option>
								<option value="2" >Awaiting Payment</option>
								<option value="3" >Processing</option>
								<option value="4" >Processed</option>
								<option value="5" >Timeout</option>
								<option value="6" >Denied</option>
								<option value="7" >Canceled</option>
							</select>
						</div>
						
						<div class="form-group" id="wfield" style="display:none;"> 
							<label> PIN</label>
							<input type="text" class="form-control" name="pin">
							<small>Please enter in field PIN code of transaction so that customers can get their money</smalL>
						</div>
						
						<button type="submit" class="btn btn-primary" name="btn_update"><i class="fa fa-check"></i> Update</button>
					</form>	
				</div>
			</div>
			
			
				<div class="panel panel-default">
					<div class="panel-heading">
						Give referral profit
					</div>
					<div class="panel-body">
						<small>This exchange is due to the user <a href="./?a=users&b=edit&id=<?php// echo $row['referral_id']; ?>"><?php// echo idinfo($row['referral_id'],"username"); ?></a> according partner program, he/she must get its reward from system.</small>
						<form action="" method="POST">
						
								<div class="form-group">
									<label>Profit</label>
									<div class="input-group">
									  <input type="text" class="form-control" placeholder="Amount" name="profit" value="<?php //echo $comission; ?>" aria-describedby="basic-addon1">
									  <span class="input-group-addon" id="basic-addon1">USD</span>
									</div>
								</div>
							
								<div class="form-group">
									<label>Profit</label>
									<div class="input-group">
									  <input type="text" class="form-control" placeholder="Amount" name="profit" aria-describedby="basic-addon1">
									  <span class="input-group-addon" id="basic-addon1">USD</span>
									</div>
								</div>
							
							<button type="submit" class="btn btn-primary" name="btn_profit"><i class="fa fa-check"></i> Give profit</button>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
	
		<br>
		<div class="breadcrumbs">
            <div class="col-sm-4">
                <div class="page-header float-left">
                    <div class="page-title">
                        <h1>Exchanges</h1>
                    </div>
                </div>
            </div>
            <div class="col-sm-8">
                <div class="page-header float-right">
                    <div class="page-title">
                        <span class="pull-right" style="margin-top:5px;margin-bottom:-10px;">
							<form action="" method="POST">
								<input type="text" class="form-control" name="qry" placeholder="Search...">
							</form>
						</span>
                    </div>
                </div>
            </div>
        </div>
        <div class="content mt-3">

           <div class="col-md-12">
					<div class="card">
                        <div class="card-body">
		<table class="table table-striped">
			<thead>
				<tr>
					<th width="5%">ID</th>
					<th width="10%">From</th>
					<th width="10%">To</th>
					<th width="20%">Amount send (receive)</th>
					<th width="20%">Exchange ID</th>
					<th width="10%">Status</th>
					<th width="10%">Process type</th>
					<th width="10%">Action</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td> </td>
					<td> </td>
					<td> </td>
					
					<td>  </td>
					<td><span class="label label-default"><?php  ?></span></td>
					<td>	</td>
					<td>	</td>
					<td>	
						<a href="" title="Explore"><i class="fa fa-search"></i> Explore</a>	
					</td>
				</tr>
			</tbody>
		</table>
		
	</div>
	</div>
</div>


@endsection