@extends('admin.layouts.master')
@section('content')

<br>
		<br>
		<div class="breadcrumbs">
            <div class="col-sm-4">
                <div class="page-header float-left">
                    <div class="page-title">
                        <h1>Gateways</h1>
                    </div>
                </div>
            </div>

        </div>
        <div class="content mt-3">
		<div class="col-sm-8">
                <div class="page-header float-left">
                    <div class="page-title">
                        <ol class="breadcrumb text-right">
							<li>Add cryptocurrency</li>
                        </ol>
                    </div>
                </div>
            </div>
           <div class="col-md-12">
				<div class="card">
					<div class="card-body">
						
						
						<form id="addCryptoForm" method="POST">
							@csrf
							<div class="form-group">
								<label>Select merchant source</label>
								<select name="merchant_source" class="form-control">
									<option value=""></option>
									<option value="block.io">Block.io</option>
									<option value="coinpayments.net">Coinpayments.net</option>
								</select>
							</div>
							<button type="submit" class="btn btn-primary" name="btn_add"><i class="fa fa-plus"></i> Add</button>
						</form>
						<div id="responseMessage"></div>
					</div>
				</div>
			</div>
		</div>

		<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

		<script>
			$(document).ready(function() {
			$('#addCryptoForm').submit(function(e) {
				e.preventDefault();

				// Get the form data
				var formData = $(this).serialize(); 
																										

				$.ajax({
					type: 'POST',   
					url: '{{ route('crypto.handleForm') }}',
					data: formData,
					headers: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') // Include CSRF token
					},
					success: function(response) {
						if (response.status === 'success') {
							toastr.success(response.message);
							// setTimeout(() => {
							//     window.location.href = "{{  url('admin/add_crypto') }}";
							// }, 1500);
								
						} else {
							toastr.error(response.message);
						}
					},
					error: function(xhr, status, error) {
						console.error(xhr.responseText);
						alert('Something went wrong. Please try again.');
					}
				});
			});
		});
	</script>


@endsection