<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ExchangeBuz | Instant exchanger of Skrill, Neteller, Paypal and Paytm</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(url('/css/header.css')); ?>">

</head>

<body>

    <nav class="navbar navbar-expand-lg navbar-main p-2 custom-fixed-top">
        <div class="container-custom d-flex align-items-center justify-content-between">
            <!-- desktop logo start-->
            <a class="navbar-brand text-white d-none d-md-none d-lg-block" href="<?php echo e(url('/')); ?>"><img
                    src="<?php echo e(url('')); ?>/logo/logo.png" alt=""></a>
            <!-- desktop logo end-->

            <!-- mobile Toggle Button start-->
            <div>
                <button class="navbar-toggler toggle-button" type="button" data-bs-toggle="offcanvas"
                    data-bs-target="#mobileMenu" aria-controls="mobileMenu" aria-label="Toggle navigation"
                    style="border: 1px solid rgba(238, 238, 238, 0.425);border-radius: 50%;height:40px;1px solid rgb(255 255 255)">
                    <svg width="20" height="20" viewBox="0 0 20 20" fill="#fff">
                        <rect class="line-1" y="3" width="20" height="2"></rect>
                        <rect class="line-2" y="9" width="20" height="2"></rect>
                        <rect class="line-3" y="9" width="20" height="2"></rect>
                        <rect class="line-4" y="15" width="20" height="2"></rect>
                    </svg>
                </button>
                <a class="navbar-brand text-white d-lg-none" href="<?php echo e(url('/')); ?>"><img
                        src="<?php echo e(url('')); ?>/logo/mobile-logo.png" alt=""></a>
            </div>
            <!-- mobile Toggle Button end-->


            <div class="d-flex align-items-center">
                <!-- Login Icon for Mobile start-->
                <a href="<?php echo e(url('/login')); ?>" class="d-lg-none text-white me-2">
                    <i class="fa fa-user fs-6"></i>
                </a>
                <!-- Login Icon for Mobile end-->

                <!-- contact Icon for Mobile start-->
                <button class="btn btn-link text-white d-lg-none" id="callIconButton">
                    <i class="fa fa-phone"></i>
                </button>
                <!-- contact Icon for Mobile end-->

                <!-- dark/light theme toggle for Mobile start-->
                <input type="checkbox" id="checkboxs">
                <div class="DLbottonBox pt-3 d-lg-none">
                    <label class="DLbutton" for="checkboxs">
                        <div class="sun" id="sun"></div>
                        <svg class="Moon" version="1.1" xmlns="http://www.w3.org/2000/svg"
                            xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="179.77px"
                            height="210.11px" viewBox="0 0 179.77 210.11"
                            style="enable-background:new 0 0 179.77 210.11;" xml:space="preserve">
                            <defs>
                            </defs>
                            <path id="hi_1_" d="M104.78,0c3.15,0.26,6.44-0.22,8.96,0.96c2.68,1.26,6.17,3.89,6.47,6.28c0.29,2.37-2.36,6.09-4.74,7.63
        C101.6,23.82,90.15,35.08,82.89,49.9c-7.06,14.4-9.35,29.69-7.38,45.91c2.47,20.33,10.73,37.38,25.57,51.22
        c11.24,10.48,24.45,17.45,39.65,20.27c10.03,1.86,20.02,2.96,30.21,0.28c3.47-0.91,6.25,1.48,8.01,5.08
        c2.13,4.37-0.36,7.16-2.89,9.5c-12.21,11.31-26.29,19.46-42.41,23.87c-16.6,4.54-33.37,5.51-50.25,1.77
        c-21.19-4.7-39.67-14.54-54.58-30.4c-14.11-15.01-23.08-32.75-26.92-53.12c-4.67-24.74-0.72-48.04,11.1-70.05
        c9.19-17.12,22.66-30.1,39.41-39.82C63.73,7.84,75.91,3.76,88.68,1.47C94.02,0.52,99.51,0.46,104.78,0z" />
                        </svg>
                    </label>

                </div>
                <!-- dark/light theme toggle for Mobile end-->

                <!-- language toggle for Mobile start-->
                <button class="btn btn-link text-white d-lg-none" id="settingsIconButton">
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor"
                        class="bi bi-gear" viewBox="0 0 16 16">
                        <path
                            d="M8 4.754a3.246 3.246 0 1 0 0 6.492 3.246 3.246 0 0 0 0-6.492M5.754 8a2.246 2.246 0 1 1 4.492 0 2.246 2.246 0 0 1-4.492 0" />
                        <path
                            d="M9.796 1.343c-.527-1.79-3.065-1.79-3.592 0l-.094.319a.873.873 0 0 1-1.255.52l-.292-.16c-1.64-.892-3.433.902-2.54 2.541l.159.292a.873.873 0 0 1-.52 1.255l-.319.094c-1.79.527-1.79 3.065 0 3.592l.319.094a.873.873 0 0 1 .52 1.255l-.16.292c-.892 1.64.901 3.434 2.541 2.54l.292-.159a.873.873 0 0 1 1.255.52l.094.319c.527 1.79 3.065 1.79 3.592 0l.094-.319a.873.873 0 0 1 1.255-.52l.292.16c1.64.893 3.434-.902 2.54-2.541l-.159-.292a.873.873 0 0 1 .52-1.255l.319-.094c1.79-.527 1.79-3.065 0-3.592l-.319-.094a.873.873 0 0 1-.52-1.255l.16-.292c.893-1.64-.902-3.433-2.541-2.54l-.292.159a.873.873 0 0 1-1.255-.52zm-2.633.283c.246-.835 1.428-.835 1.674 0l.094.319a1.873 1.873 0 0 0 2.693 1.115l.291-.16c.764-.415 1.6.42 1.184 1.185l-.159.292a1.873 1.873 0 0 0 1.116 2.692l.318.094c.835.246.835 1.428 0 1.674l-.319.094a1.873 1.873 0 0 0-1.115 2.693l.16.291c.415.764-.42 1.6-1.185 1.184l-.291-.159a1.873 1.873 0 0 0-2.693 1.116l-.094.318c-.246.835-1.428.835-1.674 0l-.094-.319a1.873 1.873 0 0 0-2.692-1.115l-.292.16c-.764.415-1.6-.42-1.184-1.185l.159-.291A1.873 1.873 0 0 0 1.945 8.93l-.319-.094c-.835-.246-.835-1.428 0-1.674l.319-.094A1.873 1.873 0 0 0 3.06 4.377l-.16-.292c-.415-.764.42-1.6 1.185-1.184l.292.159a1.873 1.873 0 0 0 2.692-1.115z" />
                    </svg></i>
                </button>
                <!-- language toggle for Mobile end-->
            </div>
            <!-- top left side header Icon for desktop start-->
            <div class="collapse navbar-collapse flex-column d-none d-lg-flex">
                <div class="ms-auto d-flex align-items-center justify-content-between gap-4">
                    <div class="container">
                        <div class="dropdown">
                            <button id="dropdownToggle" class="nk-nav-toggle"
                                style="background-color:transparent;color:#fff;border:none;">
                                CONTACT
                            </button>
                            <ul class="dropdown-menu" id="dropdownMenu">
                                <li><a class="dropdown-item" href="mailto:support@exchangebuz.com"
                                        style="font-size:12px;color:#0195de"><svg xmlns="http://www.w3.org/2000/svg"
                                            width="20" height="20" fill="#0195de" class="bi bi-at" viewBox="0 0 16 16">
                                            <path
                                                d="M13.106 7.222c0-2.967-2.249-5.032-5.482-5.032-3.35 0-5.646 2.318-5.646 5.702 0 3.493 2.235 5.708 5.762 5.708.862 0 1.689-.123 2.304-.335v-.862c-.43.199-1.354.328-2.29.328-2.926 0-4.813-1.88-4.813-4.798 0-2.844 1.921-4.881 4.594-4.881 2.735 0 4.608 1.688 4.608 4.156 0 1.682-.554 2.769-1.416 2.769-.492 0-.772-.28-.772-.76V5.206H8.923v.834h-.11c-.266-.595-.881-.964-1.6-.964-1.4 0-2.378 1.162-2.378 2.823 0 1.737.957 2.906 2.379 2.906.8 0 1.415-.39 1.709-1.087h.11c.081.67.703 1.148 1.503 1.148 1.572 0 2.57-1.415 2.57-3.643zm-7.177.704c0-1.197.54-1.907 1.456-1.907.93 0 1.524.738 1.524 1.907S8.308 9.84 7.371 9.84c-.895 0-1.442-.725-1.442-1.914" />
                                        </svg>support@exchangebuz.com</a></li>
                                <li><a class="dropdown-item" href="mailto:support@exchangebuz.com"
                                        style="font-size:12px;color:#0195de"><svg xmlns="http://www.w3.org/2000/svg"
                                            width="16" height="16" fill="#0195de" class="bi bi-send"
                                            viewBox="0 0 16 16">
                                            <path
                                                d="M15.854.146a.5.5 0 0 1 .11.54l-5.819 14.547a.75.75 0 0 1-1.329.124l-3.178-4.995L.643 7.184a.75.75 0 0 1 .124-1.33L15.314.037a.5.5 0 0 1 .54.11ZM6.636 10.07l2.761 4.338L14.13 2.576zm6.787-8.201L1.591 6.602l4.339 2.76z" />
                                        </svg>support@exchangebuz.com</a></li>
                                <li><a class="dropdown-item" style="font-size:12px;"><span
                                            style="font-size:12px">Support hours:
                                            <br>
                                            • Mon – Sun: 10 to 22 (UTC +3);</span></a></li>

                            </ul>
                        </div>
                    </div>
                    <div class="d-flex">
                        <a href="<?php echo e(url('/login')); ?>" class="btn btn-outline-light me-2">Log In</a>
                        <a href="<?php echo e(url('/register')); ?>" class="btn btn-light d-none d-lg-inline-block">Sign Up</a>
                    </div>
                </div>
            </div>
            <!-- top left side header Icon for desktop end-->
        </div>
    </nav>

    <!-- offcanva of cantact for Mobile start-->
    <div id="contactOffcanvas" class="offcanvas offcanvas-start" tabindex="-1" aria-labelledby="contactOffcanvasLabel">
        <div class="offcanvas-header">
            <h5 id="contactOffcanvasLabel" class="offcanvas-title">Contact Us</h5>

            <button type="button" class="text-reset" data-bs-dismiss="offcanvas" aria-label="Close"
                style="background-color: transparent;border: none;color: red !important;font-size: 19px;">×</button>
        </div>
        <div class="offcanvas-body">
            <ul style="list-style-type:none" class="pl-0">
                <li class="pb-1"><a class="dropdown-item" href="mailto:support@exchangebuz.com"
                        style="font-size:12px;color:#0195de"><svg xmlns="http://www.w3.org/2000/svg" width="20"
                            height="20" fill="#0195de" class="bi bi-at me-2" viewBox="0 0 16 16">
                            <path
                                d="M13.106 7.222c0-2.967-2.249-5.032-5.482-5.032-3.35 0-5.646 2.318-5.646 5.702 0 3.493 2.235 5.708 5.762 5.708.862 0 1.689-.123 2.304-.335v-.862c-.43.199-1.354.328-2.29.328-2.926 0-4.813-1.88-4.813-4.798 0-2.844 1.921-4.881 4.594-4.881 2.735 0 4.608 1.688 4.608 4.156 0 1.682-.554 2.769-1.416 2.769-.492 0-.772-.28-.772-.76V5.206H8.923v.834h-.11c-.266-.595-.881-.964-1.6-.964-1.4 0-2.378 1.162-2.378 2.823 0 1.737.957 2.906 2.379 2.906.8 0 1.415-.39 1.709-1.087h.11c.081.67.703 1.148 1.503 1.148 1.572 0 2.57-1.415 2.57-3.643zm-7.177.704c0-1.197.54-1.907 1.456-1.907.93 0 1.524.738 1.524 1.907S8.308 9.84 7.371 9.84c-.895 0-1.442-.725-1.442-1.914" />
                        </svg>support@exchangebuz.com</a></li>
                <li class="pb-2"><a class="dropdown-item" href="mailto:support@exchangebuz.com"
                        style="font-size:12px;color:#0195de"><svg xmlns="http://www.w3.org/2000/svg" width="16"
                            height="16" fill="#0195de" class="bi bi-send me-2" viewBox="0 0 16 16">
                            <path
                                d="M15.854.146a.5.5 0 0 1 .11.54l-5.819 14.547a.75.75 0 0 1-1.329.124l-3.178-4.995L.643 7.184a.75.75 0 0 1 .124-1.33L15.314.037a.5.5 0 0 1 .54.11ZM6.636 10.07l2.761 4.338L14.13 2.576zm6.787-8.201L1.591 6.602l4.339 2.76z" />
                        </svg>support@exchangebuz.com</a></li>
                <li> <a class="dropdown-item" style="font-size:12px;"><span style="font-size:12px">Support hours:

                            • Mon – Sun: 10 to 22 (UTC +3);</span></a></li>

            </ul>
        </div>
    </div>
    <!-- offcanva of cantact for Mobile end-->

    <!-- offcanva of langauge for Mobile start -->
    <div id="settingsOffcanvas" class="offcanvas offcanvas-start" tabindex="-1"
        aria-labelledby="settingsOffcanvasLabel">
        <div class="offcanvas-header">
            <h5 id="settingsOffcanvasLabel" class="offcanvas-title">Choice of language </h5>
            <button type="button" class="text-reset" data-bs-dismiss="offcanvas" aria-label="Close"
                style="background-color: transparent;border: none;color: red !important;font-size: 19px;">×</button>
        </div>
        <div class="offcanvas-body">
            <ul style="list-style-type:none" class="pl-1">
                <li class="current-menu-item">
                    <a href="#" class="d-flex flex-row align-items-center gap-3 text-decoration-none"
                        style="font-size:14px">
                        <div class="mob_langlist_liimg">
                            <img src="<?php echo e(url('')); ?>/img/en_US.png" alt="">
                        </div>
                        English
                    </a>
                </li>
                <li class="pt-1">
                    <a href="#" class="d-flex flex-row align-items-center gap-3 text-decoration-none"
                        style="font-size:14px">
                        <div class="mob_langlist_liimg">
                            <img src="<?php echo e(url('')); ?>/img/ru_RU.png" alt="">
                        </div>
                        Русский
                    </a>
                </li>
            </ul>
        </div>
    </div>
    <!-- offcanva of langauge for Mobile end -->

    <!--  offcanva menu for Mobile start-->
    <div class="offcanvas offcanvas-start" tabindex="-1" id="mobileMenu" aria-labelledby="mobileMenuLabel">
        <div class="offcanvas-header">
            <a class="navbar-brand text-white" href="<?php echo e(url('/')); ?>"><img src="<?php echo e(url('')); ?>/logo/logo.png" alt=""></a>
            <button type="button" class="text-reset" data-bs-dismiss="offcanvas" aria-label="Close"
                style="background-color: transparent;border: none;color: red !important;font-size: 19px;">×</button>
        </div>

        <div class="offcanvas-body">
            <ul class="navbar-nav">
                <li class="nav-item"><a class="nav-link" href="<?php echo e(url('/')); ?>">Exchange</a></li>
                <li class="nav-item"><a class="nav-link" href="<?php echo e(url('/testimonials')); ?>">Testimonials</a></li>
                <li class="nav-item"><a class="nav-link" href="<?php echo e(url('/affiliate')); ?>">Affiliate</a></li>
                <li class="nav-item"><a class="nav-link" href="<?php echo e(url('/contact-us')); ?>">Contact</a></li>
                <li class="nav-item"><a class="nav-link" href="/login"><i class="fa fa-user me-2"></i>Operator</a></li>
                <li class="nav-item"><a class="nav-link" href="<?php echo e(url('/login')); ?>"><i class="fa fa-sign-in me-2"></i>Login</a></li>
                <li class="nav-item"><a class="nav-link" href="<?php echo e(url('/register')); ?>"><i
                            class="fa fa-user-circle me-2"></i>Register</a></li>
            </ul>
        </div>
    </div>
    <!--  offcanva menu for Mobile end-->


    <!--  bottom header menu for desktop start-->
    <nav class="navbar navbar-expand-lg navbar-main d-none d-md-none d-lg-block" id="navbar">
        <div class="container-custom">
            <div class="topmenu collapse navbar-collapse justify-content-between" id="navbarContent">
                <!-- menu for desktop start-->
                <ul class="navbar-nav pl-3 pr-3">
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/')); ?>">
                            Exchange</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/testimonials')); ?>">Testimonials
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/affiliate')); ?>">Affiliate
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/contact-us')); ?>">Contact</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link d-lg-none" href="/login"><i class="fa fa-user me-2"></i>operator</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link d-lg-none" href="/login"><i class="fa fa-sign-in me-2"></i>Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link d-lg-none" href="/register"><i
                                class="fa fa-user-circle me-2"></i>Register</a>
                    </li>

                </ul>
                <!-- menu for desktop end-->

                <div class="d-flex align-items-center pr-3 gap-2">
                    <!--  dark/light theme toggle for desktop start-->
                    <div class="toggle">
                        <input type="checkbox" class="checkbox" id="checkbox">
                        <label for="checkbox" class="checkbox-label">
                            <i class="fas fa-moon"></i>
                            <i class="fas fa-sun"></i>
                            <span class="ball"></span>
                        </label>
                    </div>
                    <!--  dark/light theme toggle for desktop start-->
                    <!--  google translator for desktop start-->
                    <div class="tolbar_lang">
                        <div class="langlist_div js_ws_wrap">
                            <div class="langlist_title js_ws_button" onclick="toggleLanguageList()">
                                <span class="nk-nav-toggle" id="current-lang">EN</span>
                            </div>
                            <div class="langlist_ul js_ws_ul" style="display:none;">
                                <a href="javascript:void(0);" onclick="translatePage('en', 'EN')" class="langlist_li">
                                    <div class="langlist_liimg d-flex">
                                        <img src="https://premiumexchanger.com/wp-content/plugins/premiumsaller/flags/en_US.png"
                                            alt="">
                                    </div>
                                    EN
                                </a>
                                <a href="javascript:void(0);" onclick="translatePage('ru', 'RU')" class="langlist_li">
                                    <div class="langlist_liimg d-flex">
                                        <img src="https://premiumexchanger.com/wp-content/plugins/premiumsaller/flags/ru_RU.png"
                                            alt="">
                                    </div>
                                    RU
                                </a>
                            </div>
                        </div>
                    </div>
                    <!--  google translator for desktop end-->
                </div>
            </div>
        </div>
    </nav>
    <!--  bottom header menu for desktop end-->


    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>


    <script type="text/javascript">
        // dropdown Toggle visibility of the language list start
        function toggleLanguageList() {
            var langList = document.querySelector('.js_ws_ul');
            langList.style.display = (langList.style.display === 'none' || langList.style.display === '') ? 'block' : 'none';
        }

        document.addEventListener('click', function (event) {
            var langList = document.querySelector('.js_ws_ul');
            var toggleButton = document.querySelector('.js_ws_button');

            if (!langList.contains(event.target) && !toggleButton.contains(event.target)) {
                langList.style.display = 'none';
            }
        });
        // dropdown Toggle visibility of the language list end

        // Mobile: Open the left-side offcanvas on clicking the call icon start
        document.addEventListener('DOMContentLoaded', function () {
            const callIconButton = document.getElementById('callIconButton');
            const contactOffcanvas = new bootstrap.Offcanvas(document.getElementById('contactOffcanvas'));

            callIconButton.addEventListener('click', function () {
                contactOffcanvas.show();  // Opens the Contact Us offcanvas
            });
        });
        // Mobile: Open the left-side offcanvas on clicking the call icon end


        // Mobile: Open the left-side offcanvas on clicking the settings icon start
        document.addEventListener('DOMContentLoaded', function () {
            const settingsIconButton = document.getElementById('settingsIconButton');
            const settingsOffcanvas = new bootstrap.Offcanvas(document.getElementById('settingsOffcanvas'));

            settingsIconButton.addEventListener('click', function () {
                settingsOffcanvas.show(); // Opens the Settings offcanvas
            });
        });
        // Mobile: Open the left-side offcanvas on clicking the settings icon end


        // sticky navbar start
        document.addEventListener('DOMContentLoaded', function () {
            const navbar = document.getElementById('navbar');
            window.addEventListener('scroll', function () {
                if (window.scrollY > 50) {
                    navbar.classList.add('sticky');
                    navbar.classList.add('scrolled');
                } else {
                    navbar.classList.remove('sticky');
                    navbar.classList.remove('scrolled');
                }
            });
        });
        // sticky navbar end

        // change dark/light theme mode for desktop start
        const checkbox = document.getElementById("checkbox");

        // Check localStorage for the saved theme preference
        if (localStorage.getItem("theme") === "dark") {
            document.body.classList.add("dark");
            checkbox.checked = true; // Keep the checkbox checked
        }

        // Add an event listener to toggle dark mode and save preference
        checkbox.addEventListener("change", () => {
            if (checkbox.checked) {
                document.body.classList.add("dark");
                localStorage.setItem("theme", "dark"); // Save preference
            } else {
                document.body.classList.remove("dark");
                localStorage.setItem("theme", "light"); // Save preference
            }
        });
        // change dark/light theme mode for desktop end


        // change dark/light theme mode for mobile start
        const checkboxs = document.getElementById("checkboxs");

        // Check localStorage for the saved theme preference
        if (localStorage.getItem("theme") === "dark") {
            document.body.classList.add("dark");
            checkboxs.checked = true; // Keep the checkbox checked
        }

        // Add an event listener to toggle dark mode and save preference
        checkboxs.addEventListener("change", () => {
            if (checkboxs.checked) {
                document.body.classList.add("dark");
                localStorage.setItem("theme", "dark"); // Save preference
            } else {
                document.body.classList.remove("dark");
                localStorage.setItem("theme", "light"); // Save preference
            }
        });
        
        // change dark/light theme mode for mobile end


        // open dropdown for contact in desktop start
        const dropdownToggle = document.getElementById('dropdownToggle');
        const dropdownMenu = document.getElementById('dropdownMenu');

        dropdownToggle.addEventListener('click', function (e) {
            e.stopPropagation();
            dropdownMenu.classList.toggle('show');
        });

        document.addEventListener('click', function () {
            dropdownMenu.classList.remove('show');
        });

        dropdownMenu.addEventListener('click', function (e) {
            e.stopPropagation();
        });
        // open dropdown for contact in desktop end
    </script>
</body>

</html><?php /**PATH C:\xampp\htdocs\exchange1\resources\views/frontend/layouts/header.blade.php ENDPATH**/ ?>