<?php $__env->startSection('content'); ?>

<head>

<link rel="stylesheet" href="<?php echo e(asset('css/home.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('css/contact.css')); ?>">

</head>
<section class="contact-section">
  <div class="container">

    <h1 class="text-center currency-heading">Fast <span class="heading-color">currency exchanger</span></span></h1>
    <p class="text-center">Our service helps to make any exchange safely and quickly.</p>
    
    <div class="row currency-content rounded-4 mt-5 shadow mb-5 rounded position-relative bg-body-tertiary" >
      <div class="col-lg-4 pr-0 pl-0 cruncy-col p-row-margin cruncy-border-center left-right-padding">
        <div class="d-flex flex-row justify-content-between align-items-center first mb-4">
          <h4 class="cruncy-font mb-0">Give</h4>
          <p class="top-content-text mb-0" id="min-max">Min: 5425 Max: 451254</p>
          <img src="<?php echo e(url('')); ?>/img/arrow.svg" alt="+">
        </div>

        <div class="currency--input" style="padding:0px 24px">
          <input type="number" class="border" id="giveAmount" placeholder="0.00">
          <img alt="Tether ERC20" class="currency-padding-block-images" src="<?php echo e(url('')); ?>/img/bitcoin.png">
        </div>
        
        <div class="currency--button tabchangegive" id="currencies" >
          <ul class="mb-0">
            <li>
              <a class="active tab_1" data-tab-name="all" onclick="filterCurrencies('ALL', 'give')">ALL</a>
            </li>
            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li>
                <a class="tab_1" data-tab-name="<?php echo e($currency->currency); ?>" onclick="filterCurrencies('<?php echo e($currency->currency); ?>', 'give')">
                  <?php echo e($currency->currency); ?>

                </a>
              </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </ul>
        </div>

        <div class="card-currency--list give">
          <ul style="list-style-type:none" class="pl-0">
            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li class="currency-item <?php echo e(session('selected_currency') == $currency->currency ? 'selected' : ''); ?> " data-currency="<?php echo e($currency->currency); ?>">
                <a class="active">
                  <span class="currency--logo">
                    <img alt="<?php echo e($currency->currency); ?>" src="<?php echo e(url('')); ?>/img/bitcoin.png">
                  </span>
                  <p class="<?php echo e($currency->currency); ?>"><?php echo e($currency->currency); ?></p>
                  <span class="">
                    <img src="<?php echo e(url('')); ?>/img/check.svg" alt="+">
                  </span>
                </a>
              </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </ul>
        </div>
      </div>


      <div class="col-lg-4 pr-0 pl-0 cruncy-col p-row-margin cruncy-border-center left-right-padding">
        <div class="d-flex flex-row justify-content-between align-items-center first mb-4">
          <h4 class="cruncy-font mb-0">Take</h4>
          <div class="d-flex flex-wrap justify-content-end align-items-center">
            <p class="top-content-text mr-1 mb-0">Min: 11.84 Max: 2366.58 </p>
            <img src="<?php echo e(url('')); ?>/img/arrow.svg" alt="+" style="transform: scaleX(-1) rotate(180deg);">
          </div>
        </div>


        <div class="currency--input">
          <input type="number" id="takeAmount" class="border" placeholder="0.00">
          <img alt="Tether ERC20" class="currency-padding-block-images" src="<?php echo e(url('')); ?>/img/bitcoin.png">
        </div>

        <div class="currency--button tabchangetake">
          <ul class="mb-0">
            <li>
              <a class="active" onclick="filterCurrencies('ALL', 'take')">ALL</a>
            </li>
            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li>
                <a onclick="filterCurrencies('<?php echo e($currency->currency); ?>', 'take')">
                  <?php echo e($currency->currency); ?>

                </a>
              </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </ul>
        </div>

        <div class="card-currency--list take">
          <ul style="list-style-type:none" class="pl-0">
            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li class="currency-item" data-currency="<?php echo e($currency->currency); ?>">
                <a class="active">
                  <span class="currency--logo">
                    <img alt="<?php echo e($currency->currency); ?>" src="<?php echo e(url('')); ?>/img/bitcoin.png">
                  </span>
                  <p class="cur-logo-para mb-0"><?php echo e($currency->currency); ?> 
                    <span class="currency--sum"><?php echo e(rand(10000, 1000000)); ?> <?php echo e($currency->currency); ?></span>
                  </p>
                  <span class="currency--check">
                    <img src="<?php echo e(url('')); ?>/img/check.svg" alt="+">
                  </span>
                </a>
              </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </ul>
        </div>
      </div>

      <div class="col-lg-4 cruncy-col p-row-margin left-right-padding">
        <div class="currency-form--title first">
          <h4 class="text-center-third cruncy-font ">Exchange details</h4>
          <div style="justify-content: start;
              align-items: flex-start;
              flex-direction: column;">
            <p>Rate:
              11.512:
              1</p>
            <p>Fee:
              -1.5 UAH</p>
          </div>
        </div>

        <div class="p-box mb-3">
          <ul style="list-style-type:none" class="pl-0 mb-0">
            <li class="">
              <div class="currency--info__item"><span class="currency--logo">
                  <img alt="Tether ERC20" src="<?php echo e(url('')); ?>/img/bitcoin.png">
                </span>
                <p class="currency-data--name mb-0" id="giveCurrencyDisplay"> <span class="currency--sum">  </span></p>
                <span class="data--img"><img src="<?php echo e(url('')); ?>/img/arrow.svg" alt="+" style="height: 14px;">
                </span>
              </div>
            </li>

            <li>
              <div class="currency--info__item"><span class="currency--logo">
                  <img alt="Tether ERC20" src="<?php echo e(url('')); ?>/img/bitcoin.png">
                </span>
                <p class="currency-data--name mb-0" id="takeCurrencyDisplay"> &nbsp;<span class="currency--sum"> &nbsp;
                    </span></p>
                <span class="data--img"><img src="<?php echo e(url('')); ?>/img/arrow.svg" alt="+" style="height: 14px;">
                </span>
              </div>
            </li>
          </ul>
        </div>


        <div class="padding">
          <p class="cruncy-p-font" style="color: rgb(75, 181, 107)">
            This direction requires verification.
          </p>
          <p class="cruncy-p-font" style="color: rgb(75, 181, 107) ">
            This direction requires verification of the account
            Приват 24 UAH
          </p>
        </div>

        <form class="dataInput--inputs" id="paymentForm" method="POST">
          <h4 class="text-center cruncy-font">Enter form</h4>
          <div class="input-with-image">
            <input type="text" id="cardNumberInput" name="card_number" placeholder="Card Number(UAH)" class="my-2 cruncy-start" />
            <img src="<?php echo e(url('')); ?>/img/bitcoin.png" alt="Wallet Icon" />
          </div>
          <div class="input-with-image">
            <input placeholder="Name Surname card holder" name="fullname" type="text" class="my-2 cruncy-start">
            <img src="<?php echo e(url('')); ?>/img/bitcoin.png" alt="Wallet Icon" />
          </div>
          <div class="input-with-image">
            <input placeholder="E-mail" type="text" name="email" class="my-2 cruncy-start">
            <img src="<?php echo e(url('')); ?>/img/bitcoin.png" alt="Wallet Icon" />
          </div>
          <div class="input-with-image">
            <input placeholder="Phone Number" type="text" name="phone_number" class="my-2 cruncy-start">
            <img src="<?php echo e(url('')); ?>/img/bitcoin.png" alt="Wallet Icon" />
          </div>
          <div class="mb-2 mt-2 ml-1">
            <label class="check-container">
              <input type="checkbox" name="agree_with_rules" >
              <svg viewBox="0 0 64 64" height="20px" width="15px" class="me-2">
                <path
                  d="M 0 16 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 16 L 32 48 L 64 16 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 16"
                  pathLength="575.0541381835938" class="path"></path>
              </svg>
              I agree with the <a href="#"> &nbsp;rules</a>.
            </label>
          </div>

          <!-- KYC/AML Agreement -->
          <div class="mb-2 ml-1">
            <label class="check-container">
              <input type="checkbox" name="agree_with_KYC_policy">
              <svg viewBox="0 0 64 64" height="20px" width="15px" class="me-2">
                <path
                  d="M 0 16 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 16 L 32 48 L 64 16 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 16"
                  pathLength="575.0541381835938" class="path"></path>
              </svg>
              I agree with the&nbsp;
              <a href="#">
                KYC/AML policy
              </a>.
            </label>
          </div>
          <!-- Submit Button -->
          <button class="btn-submitForm mt-3" type="submit">
            Start exchange
          </button>
        </form>
      </div>
    </div>

  </div>
</section>

    <script>
      $(document).ready(function() {
        $('.tabchangegive a').on('click', function() {
          $('.tabchangegive a').removeClass('active');
          
          $(this).addClass('active');
        });
        $('.tabchangetake a').on('click', function() {
          $('.tabchangetake a').removeClass('active');
          
          $(this).addClass('active');
        });
      });

        function filterCurrencies(currencyCode, section) {
          const $currencyItems = $(`.${section} .currency-item`);
          const $currencyButtons = $(`.${section} .currency--button a`);
          $currencyItems.each(function() {
            const itemCurrency = $(this).data('currency');
            if (currencyCode === 'ALL' || itemCurrency.includes(currencyCode)) {
              $(this).show(); 
            } else {
              $(this).hide();             }
          });
          $currencyButtons.removeClass('active');
          $(event.target).addClass('active');
          $(`.${section} .currency-item .active`).removeClass('active');
          const $selectedItem = $(`.${section} .currency-item[data-currency="${currencyCode}"]`);
          if ($selectedItem.length) {
            $selectedItem.find('a').addClass('active');
          }
        }
    </script>

    <script>$('#giveAmount').focus();

    </script>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <!-- new logic for currency conversion using API -->
    <!-- <script>
      $(document).ready(function () { 
        const exchangeRates = <?php echo json_encode($currencyRates, 15, 512) ?>;  // This will convert PHP array to JavaScript object

        let giveCurrency = 'INR';  
        let takeCurrency = 'INR';  


        $('.card-currency--list.give .currency-item').on('click', function () {
          giveCurrency = $(this).data('currency'); // Set selected 'give' currency
          $('.card-currency--list.give .currency-item').removeClass('selected');
          $(this).addClass('selected');
        }); 

        $('.card-currency--list.take .currency-item').on('click', function () {
          takeCurrency = $(this).data('currency'); // Set selected 'take' currency
          console.log("Updated Give Currency:", giveCurrency);

          $('.card-currency--list.take .currency-item').removeClass('selected');
          $(this).addClass('selected');

          let giveAmount = parseFloat($('#giveAmount').val());

          if (!isNaN(giveAmount)) {
            let giveRate = exchangeRates[giveCurrency];  // Rate for the 'give' currency
            let takeRate = exchangeRates[takeCurrency];  // Rate for the 'take' currency

            if (giveRate && takeRate) {
              let amountInUSD = giveAmount / giveRate;  // Convert to USD
              let convertedAmount = amountInUSD * takeRate;  // Convert to target currency
              $('#takeAmount').val(convertedAmount.toFixed(2));  // Display converted value
            } else {
              alert('Conversion rate not available.');
            }
          }
        });
      });
    </script> -->

    <!-- newer logic for currency conversion using API -->
    <script>
      $(document).ready(function () {
        const exchangeRates = <?php echo json_encode($currencyRates, 15, 512) ?>;  // Currency rates fetched from the server
        let giveCurrency = 'INR';  // Default 'give' currency
        let takeCurrency = 'JOD';  // Default 'take' currency

        selectCurrency('give', giveCurrency);
        selectCurrency('take', takeCurrency);
        filterCurrenciesForSection('take', giveCurrency);
        updateCardPlaceholder(giveCurrency); 

        $('#giveAmount').on('input', performCurrencyConversion);

        $('.card-currency--list.give .currency-item').on('click', function () {
          giveCurrency = $(this).data('currency');
          $('.card-currency--list.give .currency-item').removeClass('selected');
          $(this).addClass('selected');
          filterCurrenciesForSection('take', giveCurrency);  // Update take section to hide selected give currency
          performCurrencyConversion();
          updateCardPlaceholder(giveCurrency);
        });

        $('.card-currency--list.take .currency-item').on('click', function () {
          takeCurrency = $(this).data('currency');
          $('.card-currency--list.take .currency-item').removeClass('selected');
          $(this).addClass('selected');
          filterCurrenciesForSection('give', takeCurrency);  // Update give section to hide selected take currency
          performCurrencyConversion();
        });

        function selectCurrency(section, currency) {
          const $currencyList = $(`.card-currency--list.${section}`);
          const $defaultCurrencyItem = $currencyList.find(`.currency-item[data-currency="${currency}"]`);
          if ($defaultCurrencyItem.length) {
            $currencyList.find('.currency-item').removeClass('selected');
            $defaultCurrencyItem.addClass('selected');
          }
        }

        function filterCurrenciesForSection(section, currencyToHide) {
          const $currencyItems = $(`.card-currency--list.${section} .currency-item`);
          $currencyItems.show();  // Reset all visibility
          $currencyItems.filter(`[data-currency="${currencyToHide}"]`).hide();  // Hide selected currency
        }

        function performCurrencyConversion() {
          const giveAmount = parseFloat($('#giveAmount').val()) || 0;

          if (!isNaN(giveAmount)) {
            const giveRate = exchangeRates[giveCurrency] || 1;
            const takeRate = exchangeRates[takeCurrency] || 1;

            if (giveRate && takeRate) {
              const amountInUSD = giveAmount / giveRate;
              const convertedAmount = amountInUSD * takeRate;
              $('#takeAmount').val(convertedAmount.toFixed(2));
            } else {
              alert('Conversion rate not available.');
            }
          }
        }

        function updateCardPlaceholder(currency) {
          $('#cardNumberInput').attr('placeholder', `Card Number(${currency})`);
        }
      });
    </script>

    <!-- for displaying blue tick mark only when currency is selected in the "TAKE" section-->
    <script>  
      $(document).ready(function () {
        $('.card-currency--list.take .currency-item').on('click', function () {
          $('.card-currency--list.take .currency-item').removeClass('active');
          $('.card-currency--list.take .currency-item .currency--check').hide();
        
          $(this).addClass('active');
          $(this).find('.currency--check').show();
        });
      });
    </script>

    <!-- for displaying blue tick mark only when currency is selected in the "GIVE" section   NOT WORKING CURRENTLY  -->
    <script>
      $(document).ready(function() {
        $('.card-currency--list.give .currency-item').on('click', function() {
        $('.card-currency--list.give .currency-item').removeClass('active');
        $('.card-currency--list.give .currency--check').hide();
        
        $(this).addClass('active');
        $(this).find('.currency--check').show();
        });
      });
    </script>

    <!-- for displaying selected currency in "EXCHANGE SECTION" -->
    <!-- <script>
      $(document).ready(function() {
        $('.card-currency--list.give .currency-item').on('click', function() {
          var selectedGiveCurrency = $(this).find('p').text(); 
          $('#giveCurrencyDisplay').html(selectedGiveCurrency + '<span class="currency--sum"> 0 ' + selectedGiveCurrency + '</span>');
          $('.card-currency--list.give .currency-item').removeClass('active');
          $('.card-currency--list.give .currency--check').hide();
          $(this).addClass('active');
          $(this).find('.currency--check').show();
        });

        $('.card-currency--list.take .currency-item').on('click', function() {
          var selectedTakeCurrency = $(this).find('p').text();
          $('#takeCurrencyDisplay').html(selectedTakeCurrency + '<span class="currency--sum"> 0 ' + selectedTakeCurrency + '</span>');
          $('.card-currency--list.take .currency-item').removeClass('active');
          $('.card-currency--list.take .currency--check').hide();
          $(this).addClass('active');
          $(this).find('.currency--check').show();
        });
      });
    </script> -->

    
    <script>
  $(document).ready(function () {
    let giveAmount = 0;  // Default value of the entered amount
    let giveCurrency = 'INR';  // Default give currency
    let takeCurrency = 'JOD';  // Default take currency
    const exchangeRates = <?php echo json_encode($currencyRates, 15, 512) ?>;  // Currency rates fetched from the server
    
    // Update the "giveCurrencyDisplay" based on user input
    $('#giveAmount').on('input', function () {
      giveAmount = parseFloat($(this).val()) || 0;  // Get the entered amount
      updateGiveCurrencyDisplay();
      performCurrencyConversion();
    });

    // Update the "takeCurrencyDisplay" based on the converted amount
    function updateGiveCurrencyDisplay() {
      $('#giveCurrencyDisplay').html(
        giveCurrency + '<span class="currency--sum"> ' + giveAmount + ' ' + giveCurrency + '</span>'
      );
    }

    // Update the "takeCurrencyDisplay" based on the converted amount
    function updateTakeCurrencyDisplay(convertedAmount) {
      $('#takeCurrencyDisplay').html(
        takeCurrency + '<span class="currency--sum"> ' + convertedAmount.toFixed(2) + ' ' + takeCurrency + '</span>'
      );
    }

    // Perform currency conversion based on the entered amount
    function performCurrencyConversion() {
      if (giveAmount > 0) {
        const giveRate = exchangeRates[giveCurrency] || 1;
        const takeRate = exchangeRates[takeCurrency] || 1;

        if (giveRate && takeRate) {
          const amountInUSD = giveAmount / giveRate;
          const convertedAmount = amountInUSD * takeRate;
          updateTakeCurrencyDisplay(convertedAmount);  // Update take section
        } else {
          alert('Conversion rate not available.');
        }
      }
    }

    // Handle selection of 'give' currency
    $('.card-currency--list.give .currency-item').on('click', function () {
      giveCurrency = $(this).data('currency');
      $('.card-currency--list.give .currency-item').removeClass('active');
      $(this).addClass('active');
      updateGiveCurrencyDisplay();
      performCurrencyConversion();
    });

    // Handle selection of 'take' currency
    $('.card-currency--list.take .currency-item').on('click', function () {
      takeCurrency = $(this).data('currency');
      $('.card-currency--list.take .currency-item').removeClass('active');
      $(this).addClass('active');
      performCurrencyConversion();
    });
  });
</script>



    <!-- card details form handling through AJAX  -->
    <script>
      $(document).ready(function () {
        $('#paymentForm').on('submit', function (event) {
          event.preventDefault();  // Prevent the default form submission

          const formData = {
            _token: $('input[name="_token"]').val(),
            card_number: $('input[name="card_number"]').val(),
            fullname: $('input[name="fullname"]').val(),
            email: $('input[name="email"]').val(),
            phone_number: $('input[name="phone_number"]').val(),
            agree_with_rules: $('input[name="agree_with_rules"]').is(':checked') ? true : false,
            agree_with_KYC_policy: $('input[name="agree_with_KYC_policy"]').is(':checked') ? true : false,
          };

          $.ajax({
            type: 'POST',
            url: "<?php echo e(route('submit.card.form')); ?>",  // Adjust route name
            data: formData,
            headers: {
              'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success: function (response) {
              toastr.success('Form submitted successfully!', 'Success');
              $('#paymentForm')[0].reset();  // Reset form fields
            },
            error: function (xhr) {
              const errors = xhr.responseJSON.errors;
              for (const field in errors) {
                toastr.error(errors[field][0], 'Error');  // Display each error
              }
            }
          });
        });
      });
    </script>



<!-- <?php echo $__env->make('frontend.pages.reserve', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> -->

<?php $__env->stopSection(); ?>
<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/vhosts/sofmatics.com/505.sofmatics.com/resources/views/frontend/pages/home.blade.php ENDPATH**/ ?>