<head>

    <link rel="stylesheet" href="<?php echo e(url('/css/home.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('/css/contact.css')); ?>">
    <style>
        .reserve-section {
            padding: 100px 0;
            background-color: #f8fafb;
        }

        .reserve-section-1 {
            padding: 100px 0;
        }

        .reserve-box {
            background: #fff;
            border-radius: 8px;
            box-shadow: 0 25px 50px 0 hsla(0, 0%, 45%, .04);
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            overflow: hidden;
            padding: 1.7rem 14px;
            align-items: center;

        }

        .reserve-image {
            align-items: center;
            display: flex;
            flex-direction: row;

        }

        .reserve-image img {
            height: 22px;
            margin-right: 10px;
            width: 22px;
        }

        .rate-image {
            width: 80px;
            height: 86px;
        }

        .rate-box {
            border-bottom: 1px solid #e6e6e6;
            display: inline-block;
            margin: auto;
            padding-bottom: 1rem;
        }

        .reserve-section h5 {
            font-size: 1rem;
            line-height: 1.88;
            margin-bottom: 0;
            margin-top: 1.4rem;
            text-transform: uppercase;
        }

        .security-box {
            background: #f5f5f5;
            border-radius: 8px;
            box-shadow: 0 25px 50px 0 hsla(0, 0%, 45%, .04);
            overflow: hidden;
            padding: 14px;
            align-items: center;
        }

        .security-box h5 {
            font-size: 1rem;
            line-height: 1.88;
            margin-bottom: 5px;
            text-transform: uppercase;
        }
    </style>
</head>

<section class="reserve-section overflow-hidden">
    <div class="container">
        <h1 class="text-center currency-heading">
            Reserves
        </h1>
        <div class="row row-cols-1 row-cols-md-3 g-3 pt-5">
            <div class="col col-md-6 col-lg-4">
                <div class="reserve-box">
                    <div class="reserve-image">
                        <img src="<?php echo e(url('')); ?>/img/PayPal.png" alt="">
                        <span>PayPal USD</span>
                    </div>
                    <div class="reserves-cost">
                        <p class="mb-0">5523.2 USD</p>
                    </div>
                </div>
            </div>
            <div class="col col-md-6 col-lg-4">
                <div class="reserve-box">
                    <div class="reserve-image">
                        <img src="<?php echo e(url('')); ?>/img/Skrill.png" alt="">
                        <span>Skrill EUR</span>
                    </div>
                    <div class="reserves-cost">
                        <p class="mb-0">5523.2 EUR
                        </p>
                    </div>
                </div>
            </div>
            <div class="col col-md-6 col-lg-4">
                <div class="reserve-box">
                    <div class="reserve-image">
                        <img src="<?php echo e(url('')); ?>/img/Neteller.png" alt="">
                        <span>Neteller EUR</span>
                    </div>
                    <div class="reserves-cost">
                        <p class="mb-0">5523.2 EUR
                        </p>
                    </div>
                </div>
            </div>
            <div class="col col-md-6 col-lg-4">
                <div class="reserve-box">
                    <div class="reserve-image">
                        <img src="<?php echo e(url('')); ?>/img/PerfectMoney.png" alt="">
                        <span>Perfect Money USD</span>
                    </div>
                    <div class="reserves-cost">
                        <p class="mb-0">5523.2 USD
                        </p>
                    </div>
                </div>
            </div>
            <div class="col col-md-6 col-lg-4">
                <div class="reserve-box">
                    <div class="reserve-image">
                        <img src="<?php echo e(url('')); ?>/img/1716364265_icon.png" alt="">
                        <span>Tether USDT</span>
                    </div>
                    <div class="reserves-cost">
                        <p class="mb-0">80454.96 USDT
                        </p>
                    </div>
                </div>
            </div>
            <div class="col col-md-6 col-lg-4">
                <div class="reserve-box">
                    <div class="reserve-image">
                        <img src="<?php echo e(url('')); ?>/img/Litecoin.png" alt="">
                        <span>Litecoin LTC</span>
                    </div>
                    <div class="reserves-cost">
                        <p class="mb-0">5523.2 LTC
                        </p>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>



<section class="reserve-section-1">
    <div class="container">
        <div class="row align-items-center pb-xl-5">
            <div class="col-12 col-md-6 col-xl-6">
                <h1 class="mb-4">ExchangeBuz - Your Trusted <br>E-Currency Exchange</h1>
                <p style="margin: 5px 0;font-size: 17px;text-align: justify;">ExchangeBuz is a leading platform
                    specializing in e-currency and cryptocurrency exchanges. We provide a seamless and
                    secure environment for Buying &amp; Selling a wide range of digital currencies. With a commitment to
                    user satisfaction and advanced security measures. Our innovative tools and services are designed to
                    meet the evolving needs of the modern economy, making digital finance accessible to everyone!</p>
            </div>
            <div class="col-12 col-sm-6 col-md-6 m-sm-auto mr-md-0 ml-md-auto pt-4 pt-md-0">
                <img alt="image" class="img-fluid" src="<?php echo e(url('')); ?>/img/currency-exchange.png">
            </div>

        </div>

    </div>
</section>

<section class="reserve-section overflow-hidden">
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-6 col-md-3 text-center">
                <span class="rate-box">
                    <img src="<?php echo e(url('')); ?>/img/rates.png" alt="" class="rate-image">
                </span>

                <h5><strong>Transparent Rates </strong></h5>
                <p>Transparent rates facilitate informed decisions, fostering trust and clarity in transactions.</p>

            </div>

            <div class="col-12 col-sm-6 col-md-3 pt-3 pt-sm-0 text-center">
                <span class="rate-box">
                    <img src="<?php echo e(url('')); ?>/img/security.png" alt="" class="rate-image">
                </span>
                <h5><strong>Robust Security</strong></h5>
                <p>Industry-leading encryption for peace of mind.</p>
            </div>

            <div class="col-12 col-sm-6 col-md-3 pt-3 pt-md-0 text-center">
                <span class="rate-box">
                    <img src="<?php echo e(url('')); ?>/img/service.png" alt="" class="rate-image">
                </span>
                <h5><strong>User-Friendly <br>Service</strong></h5>
                <p>Intuitive platform for effortless exchanges.</p>
            </div>

            <div class="col-12 col-sm-6 col-md-3 pt-3 pt-md-0 text-center">
                <span class="rate-box">
                    <img src="<?php echo e(url('')); ?>/img/call-service.png" alt="" class="rate-image">
                </span>
                <h5><strong>24/7 Support &amp; Competitive Fees</strong></h5>
                <p>Dedicated support team and affordable rates.</p>
            </div>
        </div>
    </div>

</section>

<section class="reserve-section-1">
    <div class="container">
        <div class="row align-items-center pb-xl-5">
            <div class="col-12 col-md-6 col-xl-6">
                <h1 class="mb-4">ExchangeBuz - Your Trusted <br>E-Currency Exchange</h1>


                <p style="margin: 5px 0;font-size: 15px;text-align: justify;">We offer <strong>Send</strong> &amp;
                    <strong>Receive</strong> money internationally for free
                    <em>(applicable only for friends &amp; family)</em> also you can <strong>BUY, SELL</strong> &amp;
                    <strong>EXCHANGE</strong> the following e-wallets and payment systems: <a title="Perfect Money"
                        href="https://perfectmoney.is/" target="_blank" rel="noopener"
                        class="text-decoration-none">Perfect Money</a>, <a title="Skrill" href="https://www.skrill.com/"
                        target="_blank" rel="noopener" class="text-decoration-none">Skrill</a>, <a title="Neteller"
                        href="https://www.neteller.com" class="text-decoration-none"> Neteller</a>, <a title="Paytm"
                        href="https://paytm.com/" target="_blank" rel="noopener" class="text-decoration-none">Paytm</a>,
                    <a title="PayPal" href="https://www.paypal.com" target="_blank" rel="noopener"
                        class="text-decoration-none">PayPal</a>, <a title="Bitcoin"
                        href="https://en.wikipedia.org/wiki/Bitcoin" target="_blank" rel="noopener"
                        class="text-decoration-none">Bitcoin</a>, <a title="Litecoin"
                        href="https://en.wikipedia.org/wiki/Litecoin" target="_blank" rel="noopener"
                        class="text-decoration-none">Litecoin</a>, <a title="Namecoin"
                        href="https://en.wikipedia.org/wiki/Namecoin" target="_blank" rel="noopener"
                        class="text-decoration-none">Namecoin</a>, <a title="Dogecoin"
                        href="https://en.wikipedia.org/wiki/Dogecoin" target="_blank" rel="noopener"
                        class="text-decoration-none">Dogecoin</a>, <a title="Payeer" href="https://payeer.com/"
                        target="_blank" rel="noopener" class="text-decoration-none">Payeer</a>, <a title="Paxum"
                        href="https://www.paxum.com/" target="_blank" rel="noopener"
                        class="text-decoration-none">Paxum</a>, <a title="LiqPAY" href="https://www.liqpay.ua"
                        target="_blank" rel="noopener" class="text-decoration-none">LiqPAY</a>, <a title="QIWI"
                        href="https://qiwi.com/" target="_blank" rel="noopener" class="text-decoration-none">QIWI</a>,
                    <a title="Advanced Cash" href="https://advcash.com" target="_blank" rel="noopener"
                        class="text-decoration-none">Advanced
                        Cash</a>, <a title="Yandex Money" href="https://money.yandex.ru/" target="_blank" rel="noopener"
                        class="text-decoration-none">Yandex Money</a> around the globe. There is over 50+ exchange
                    directions
                    available through us. We work with <a title="Privat24" href="https://www.privat24.ua/"
                        target="_blank" rel="noopener" class="text-decoration-none">Privat24</a>, <a
                        title="First Ukrainian International Bank"
                        href="https://en.wikipedia.org/wiki/Credit_rating_agency" target="_blank" rel="noopener"
                        class="text-decoration-none">First
                        Ukrainian International Bank</a>, <a title="Oschad Bank" href="https://www.oschadbank.ua/"
                        target="_blank" rel="noopener" class="text-decoration-none">Oschad Bank</a>, <a
                        title="Forward Bank" href="https://www.forward.bank/" target="_blank" rel="noopener"
                        class="text-decoration-none">Forward Bank</a>, <a title="Western Union"
                        href="https://www.westernunion.com" target="_blank" rel="noopener"
                        class="text-decoration-none">Western
                        Union</a>, <a title="MoneyGram" href="http://global.moneygram.com/" target="_blank"
                        rel="noopener" class="text-decoration-none">MoneyGram</a>, <a title="Golden Crown"
                        href="https://koronapay.com" target="_blank" rel="noopener" class="text-decoration-none">Golden
                        Crown</a> and others as well.
                </p>
            </div>
            <div class="col-lg-1">

            </div>
            <div class="col-12 col-sm-6 col-md-5 m-sm-auto mr-md-0 ml-md-auto pt-4 pt-md-0">
                <img alt="image" class="img-fluid" src="<?php echo e(url('')); ?>/img/payeer-exchange.png">
            </div>

        </div>

        <div class="row row-cols-1 row-cols-md-3 g-3 pt-5">
            <div class="col col-md-6 col-lg-6">
                <div class="security-box">
                    <h5><strong>Security First </strong></h5>
                    <p>Security will always be a top priority in every decision we make, and we incorporate multiple
                        layers of protection, using the most reliable and effective security technologies available to
                        keep your funds secure.</p>


                </div>
            </div>
            <div class="col col-md-6 col-lg-6">
                <div class="security-box">
                    <h5><strong>Robust Exchange </strong></h5>
                    <p>Our custom exchange bot engine is designed to be scalable and to ensure that orders are executed
                        in real-time. We also support third-party trading platforms and algorithmic exchange via our
                        extensive APIs.</p>
                </div>
            </div>

        </div>
    </div>
</section><?php /**PATH C:\xampp\htdocs\exchange1\resources\views/frontend/pages/reserve.blade.php ENDPATH**/ ?>